# Uses of Class
org.springframework.aot.hint.JdkProxyHint

Packages that use JdkProxyHint
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of JdkProxyHint in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return types with arguments of type JdkProxyHint
Modifier and Type
Method
Description
`Stream<JdkProxyHint>`
ProxyHints.`jdkProxyHints()`
Return the interface-based proxies that are required.